: Class PjFont

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.etymon.pj.object
Class PjFont

    java.lang.Object
      |
      +--com.etymon.pj.object.BaseObject
            |
            +--com.etymon.pj.object.PjObject
                  |
                  +--com.etymon.pj.object.PjDictionary
                        |
                        +--com.etymon.pj.object.PjFont

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  PjFontType1

public abstract class PjFont
extends PjDictionary

A representation of a PDF font dictionary (abstract base class).

Fields inherited from class com.etymon.pj.object.PjDictionary
`_h`

Constructor Summary
`PjFont()` Creates a new font dictionary.
`PjFont(java.util.Hashtable h)` Creates a font dictionary as a wrapper around a Hashtable.

Method Summary
`PjObject` | `getBaseFont()`
`PjObject` | `getEncoding()`
`PjObject` | `getFirstChar()`
`PjObject` | `getFontDescriptor()`
`PjObject` | `getLastChar()`
`PjObject` | `getName()`
`PjObject` | `getWidths()`
`void` | `setBaseFont(PjName baseFont)`
`void` | `setBaseFont(PjReference baseFont)`
`void` | `setEncoding(PjDictionary encoding)`
`void` | `setEncoding(PjName encoding)`
`void` | `setEncoding(PjReference encoding)`
`void` | `setFirstChar(PjNumber firstChar)`
`void` | `setFirstChar(PjReference firstChar)`
`void` | `setFontDescriptor(PjReference fontDescriptor)`
`void` | `setLastChar(PjNumber lastChar)`
`void` | `setLastChar(PjReference lastChar)`
`void` | `setName(PjName name)`
`void` | `setWidths(PjReference widths)`

Methods inherited from class com.etymon.pj.object.PjDictionary
`clone, cloneHt, getHashtable, hget, hgetReference, renumber, writePdf`

Methods inherited from class com.etymon.pj.object.BaseObject
`toString, write, write, write, writeln`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PjFont

    public PjFont()

  Creates a new font dictionary.

### PjFont

    public PjFont(java.util.Hashtable h)

  Creates a font dictionary as a wrapper around a Hashtable.
  Parameters:
    `h` - the Hashtable to use for this dictionary.

Method Detail

### setName

    public void setName(PjName name)

### getName

    public PjObject getName()
                     throws InvalidPdfObjectException

### setBaseFont

    public void setBaseFont(PjName baseFont)

### setBaseFont

    public void setBaseFont(PjReference baseFont)

### getBaseFont

    public PjObject getBaseFont()
                         throws InvalidPdfObjectException

### setFirstChar

    public void setFirstChar(PjNumber firstChar)

### setFirstChar

    public void setFirstChar(PjReference firstChar)

### getFirstChar

    public PjObject getFirstChar()
                          throws InvalidPdfObjectException

### setLastChar

    public void setLastChar(PjNumber lastChar)

### setLastChar

    public void setLastChar(PjReference lastChar)

### getLastChar

    public PjObject getLastChar()
                         throws InvalidPdfObjectException

### setWidths

    public void setWidths(PjReference widths)

### getWidths

    public PjObject getWidths()
                       throws InvalidPdfObjectException

### setEncoding

    public void setEncoding(PjDictionary encoding)

### setEncoding

    public void setEncoding(PjName encoding)

### setEncoding

    public void setEncoding(PjReference encoding)

### getEncoding

    public PjObject getEncoding()
                         throws InvalidPdfObjectException

### setFontDescriptor

    public void setFontDescriptor(PjReference fontDescriptor)

### getFontDescriptor

    public PjObject getFontDescriptor()
                               throws InvalidPdfObjectException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD